edu.northwestern.at.morphadorner.corpuslinguistics.inputter

## Class CompressedXMLTextInputter

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.inputter.XMLTextInputter
    - - edu.northwestern.at.morphadorner.corpuslinguistics.inputter.CompressedXMLTextInputter

- All Implemented Interfaces:
    TextInputter

      public class CompressedXMLTextInputter
      extends XMLTextInputter
      implements TextInputter

  XML Text inputter which stored XML text in compressed form.

  Leaves xml/html tags intact. Stores XML segments in GZIPped format to lower memory requirements.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.inputter.XMLTextInputter

      `document, encoding, fixGaps, fixOrigs, fixSplitWords, fixSplitWordsPatternReplacers, segmentMap, segmentNames, splitText, storesSegmentFiles, teiHeaderPattern, textID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressedXMLTextInputter()` Create compressed XML text inputter.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.inputter.XMLTextInputter

      `close, doLoadDocument, doLoadText, enableGapFixer, enableOrigFixer, enableSplitWordsFixer, finalize, findChild, getNextTextID, getSegment, getSegmentCount, getSegmentName, getSegmentText, getSegmentText, loadText, loadText, loadText, loadText, putSegment, setSegmentText, setSegmentText, setSegmentText, setSegmentText, usesSegmentFiles, writeChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.inputter.TextInputter

      `enableGapFixer, enableOrigFixer, enableSplitWordsFixer, getSegmentCount, getSegmentName, getSegmentText, getSegmentText, loadText, loadText, loadText, loadText, setSegmentText, setSegmentText, setSegmentText, setSegmentText, usesSegmentFiles`

- - ### Constructor Detail

    - #### CompressedXMLTextInputter

          public CompressedXMLTextInputter()

      Create compressed XML text inputter.